Bug 252299

Summary: sec=sys no longer the default mount option
Product: [Fedora] Fedora Reporter: Andrew Bartlett <abartlet>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 7CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 22:09:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrew Bartlett 2007-08-15 02:37:23 EDT
Description of problem:
Standard NFS mounts no longer authenticate with sec=sys by defuault

Version-Release number of selected component (if applicable):
nfs-utils-1.1.0-1.fc7
Linux dragonlady 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007 i686 i686
i386 GNU/Linux


How reproducible:
Every time

Steps to Reproduce:
1. NFS mount entry such as:
yowiee.bartlett.house:/home /home nfs defaults 0 0
yowiee.bartlett.house:/space /space nfs defaults 0 0

2.mount -a
3. attempt to read a 'private' directory
4. touch a file in a publicly writeable folder:

  
Actual results:
Reads fail, writes result in:

[abartlet@dragonlady ~]$ ls -la /space/public/foo 
-rw-r--r-- 1 4294967294 bartlett 0 2007-08-12 12:40 /space/public/foo


Expected results: (abartlet is uid 500)
-rw-r--r-- 1 abartlet bartlett 0 2007-08-12 12:40 /space/public/foo

Additional info:
This broke my network (NFS home dirs) on upgrade to current F7 updates.  While I
think that sec=sys should be deprecated (when folks in the real world can easily
deploy krb5, or more to CIFS :-), changing the default mount options mid-release
is painful.
Comment 1 Bug Zapper 2008-05-14 09:59:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:09:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.